# Uses of Class
org.apache.lucene.index.DocsWithFieldSet

Packages that use DocsWithFieldSet
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.hnsw
HNSW vector helper classes.
org.apache.lucene.codecs.lucene95
Lucene 9.5 file format.
org.apache.lucene.codecs.lucene99
Lucene 9.9 file format.

- ## Uses of DocsWithFieldSet in org.apache.lucene.codecs

  Methods in org.apache.lucene.codecs with parameters of type DocsWithFieldSet
  Modifier and Type
  Method
  Description
  `static void`
  KnnVectorsWriter.`mapOldOrdToNewOrd(DocsWithFieldSet oldDocIds, Sorter.DocMap sortMap, int[] old2NewOrd, int[] new2OldOrd, DocsWithFieldSet newDocsWithField)`
  Given old doc ids and an id mapping, maps old ordinal to new ordinal.

- ## Uses of DocsWithFieldSet in org.apache.lucene.codecs.hnsw

  Methods in org.apache.lucene.codecs.hnsw that return DocsWithFieldSet
  Modifier and Type
  Method
  Description
  `abstract DocsWithFieldSet`
  FlatFieldVectorsWriter.`getDocsWithFieldSet()`

- ## Uses of DocsWithFieldSet in org.apache.lucene.codecs.lucene95

  Methods in org.apache.lucene.codecs.lucene95 with parameters of type DocsWithFieldSet
  Modifier and Type
  Method
  Description
  `static void`
  OrdToDocDISIReaderConfiguration.`writeStoredMeta(int directMonotonicBlockShift, IndexOutput outputMeta, IndexOutput vectorData, int count, int maxDoc, DocsWithFieldSet docsWithField)`
  Writes out the docsWithField and ordToDoc mapping to the outputMeta and vectorData respectively.

- ## Uses of DocsWithFieldSet in org.apache.lucene.codecs.lucene99

  Methods in org.apache.lucene.codecs.lucene99 that return DocsWithFieldSet
  Modifier and Type
  Method
  Description
  `static DocsWithFieldSet`
  Lucene99ScalarQuantizedVectorsWriter.`writeQuantizedVectorData(IndexOutput output, QuantizedByteVectorValues quantizedByteVectorValues, byte bits, boolean compress)`
  Writes the vector values to the output and returns a set of documents that contains vectors.